Delete sync variant
curl --request DELETE \
--url https://api.nango.dev/sync/{name}/variant/{variant} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_config_key": "<string>",
"connection_id": "<string>"
}
'import requests
url = "https://api.nango.dev/sync/{name}/variant/{variant}"
payload = {
"provider_config_key": "<string>",
"connection_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider_config_key: '<string>', connection_id: '<string>'})
};
fetch('https://api.nango.dev/sync/{name}/variant/{variant}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"errors": [
{}
]
}
}{
"error": {
"code": "not_found"
}
}{
"error": {
"code": "failed_sync_variant_deletion",
"message": "<string>"
}
}Syncs
Delete sync variant
Deletes a sync variant for a specific connection
DELETE
/
sync
/
{name}
/
variant
/
{variant}
Delete sync variant
Requires an API key with the
environment:syncs:variant:delete scope. Learn more about API key scopes.Authorizations
The secret key from your Nango environment.
Path Parameters
The name of the sync
The name of the variant to delete. Cannot be "base" (protected name).
Body
application/json
Response
Successfully deleted the sync variant
Indicates if the deletion was successful
Was this page helpful?
⌘I